Bulletin d'alerte Debian

DSA-353-1 sup -- Fichier temporaire non sécurisé

Date du rapport :
29 juillet 2003
Paquets concernés :
sup
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans la base de données de suivi des bogues (chez SecurityFocus) : Identifiant BugTraq 6150.
Dans le dictionnaire CVE du Mitre : CVE-2003-0606.
Plus de précisions :

sup, un paquet utilisé pour maintenir des collections de fichiers dans des versions identiques sur plusieurs machines, ne prend pas les précautions de sécurité appropriées lors de la création de fichiers temporaires. Un attaquant local pouvait exploité cette faille de sécurité pour écraser n'importe quel fichier avec les privilèges de l'utilisateur exécutant sup.

Pour la distribution stable (Woody), ce problème a été corrigé dans la version 1.8-8woody1.

Pour la distribution instable (Sid), ce problème a été corrigé dans la version 1.8-9.

Nous vous recommandons de mettre à jour votre paquet sup.

Corrigé dans :

Debian GNU/Linux 3.0 (woody)

Source :
http://security.debian.org/pool/updates/main/s/sup/sup_1.8-8woody1.dsc
http://security.debian.org/pool/updates/main/s/sup/sup_1.8-8woody1.diff.gz
http://security.debian.org/pool/updates/main/s/sup/sup_1.8.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/s/sup/sup_1.8-8woody1_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/s/sup/sup_1.8-8woody1_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/s/sup/sup_1.8-8woody1_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/s/sup/sup_1.8-8woody1_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/s/sup/sup_1.8-8woody1_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/s/sup/sup_1.8-8woody1_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/s/sup/sup_1.8-8woody1_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/s/sup/sup_1.8-8woody1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/s/sup/sup_1.8-8woody1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/s/sup/sup_1.8-8woody1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/s/sup/sup_1.8-8woody1_sparc.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.